summaryrefslogtreecommitdiffstats
path: root/jjb/tldk/include-raw-csit-tldk-functional-virl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/tldk/include-raw-csit-tldk-functional-virl.sh')
-rw-r--r--jjb/tldk/include-raw-csit-tldk-functional-virl.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/jjb/tldk/include-raw-csit-tldk-functional-virl.sh b/jjb/tldk/include-raw-csit-tldk-functional-virl.sh
index b18290cdc..1f57e8255 100644
--- a/jjb/tldk/include-raw-csit-tldk-functional-virl.sh
+++ b/jjb/tldk/include-raw-csit-tldk-functional-virl.sh
@@ -1,4 +1,16 @@
#!/bin/bash
+set -xeu -o pipefail
+
+# Clone csit and start tests
+git clone https://gerrit.fd.io/r/csit
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+ echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
+exit
+fi
+
+cd csit
# execute nsh_sfc bootstrap script if it exists
if [ -e bootstrap-TLDK.sh ]